/***************************************************************************
                          sqlguidoc.h  -  description
                             -------------------
    begin                : Sat Apr 14 18:28:06 CEST 2001
    copyright            : (C) 2001 by mb
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SQLGUIDOCMYSQL_H
#define SQLGUIDOCMYSQL_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

// include files for QT
#include <qobject.h>
#include <qstring.h>
#include <qlist.h>

// include files for KDE
#include <kurl.h>

#include <string.h>
#include <stdlib.h>

#include <mysql.h>

class SqlGuiView;
class KLocale;

#include "sqlguidoc.h"
#include "db_components.h"


class SqlGuiDocMysql : public SqlGuiDoc{

Q_OBJECT

 public:
  SqlGuiDocMysql(QWidget *parent, const char *name=0);
  ~SqlGuiDocMysql();
  bool openDocument(const QString& url, const QString& uname, const QString& pwd, const QString& base);
  QString getProtocol();
  int getDBType();

 public slots:
  void slotDoQuery(QString * Base, QString* Anfrage);
  void slotDbCreate( QString* );
  void slotDbDelete( QString* db );
  void slotTableDelete(QString* db, QString* tb);
  void slotTableCheck(QString* db, QString* tb);
  void slotTableOptimize(QString* db, QString* tb);
  void slotTableRepair(QString* db, QString* tb);
  void slotServerStatus();
  void slotCountRows( QString* _db, QString* _tb);
  
 signals:
  void connectionChanged();
  void loginComplete();
  void loginError();
  void resultChanged();
  void tableChecked();
  void tableOptimized();
  void tableRepaired();
  void NewDbCreated();
  void NewTableCreated();
  void DbErased();
  void TableErased();
  void DbQueryError( QString* errmsg );
  void QueryDone();
  void queryEmpty();
  void lastActionChanged( QString* db, QString* tab, QString* prim);
  void serverStatus( QString status );
  
};

#endif // SQLGUIDOCMYSQL_H
